alpm-repo-desc-create-v2(1)

NAME
alpm-repo-desc-create-v2 - Create a package repository desc version 2 file

SYNOPSIS
alpm-repo-desc create v2 <--filename> <--name> <--base> <--version> [--description] [--groups] <--csize> <--isize> <--sha256sum> [--url] [--license] <--arch> <--builddate> <--packager> [--replaces] [--conflicts] [--provides] [--depends] [--optdepends] [--makedepends] [--checkdepends] [--pgpsig] [-h|--help] [OUTPUT]

DESCRIPTION
Create a package repository desc version 2 file

OPTIONS

--filename <FILENAME>
    The package file name
    May also be specified with the ALPM_REPO_DESC_FILENAME environment variable.

--name <NAME>
    The package name
    May also be specified with the ALPM_REPO_DESC_NAME environment variable.

--base <BASE>
    The name of the package base, from which this package originates
    May also be specified with the ALPM_REPO_DESC_BASE environment variable.

--version <VERSION>
    The version of the package
    May also be specified with the ALPM_REPO_DESC_VERSION environment variable.

--description <DESCRIPTION>
    The description of the package
    May also be specified with the ALPM_REPO_DESC_DESC environment variable.

--groups <GROUPS>
    The groups this package belongs to
    May also be specified with the ALPM_REPO_DESC_GROUPS environment variable.

--csize <CSIZE>
    The compressed size of the package in bytes
    May also be specified with the ALPM_REPO_DESC_CSIZE environment variable.

--isize <ISIZE>
    The size of the uncompressed and unpacked package contents in bytes
    May also be specified with the ALPM_REPO_DESC_ISIZE environment variable.

--sha256sum <SHA256SUM>
    The SHA256 checksum of the package file
    May also be specified with the ALPM_REPO_DESC_SHA256SUM environment variable.

--url <URL>
    The optional URL associated with the package
    May also be specified with the ALPM_REPO_DESC_URL environment variable.

--license <LICENSE>
    Set of licenses under which the package is distributed
    May also be specified with the ALPM_REPO_DESC_LICENSE environment variable.

--arch <ARCH>
    The architecture of the package
    May also be specified with the ALPM_REPO_DESC_ARCH environment variable.

--builddate <BUILDDATE>
    The date at wchich the build of the package started
    May also be specified with the ALPM_REPO_DESC_BUILDDATE environment variable.

--packager <PACKAGER>
    The User ID of the entity, that built the package
    May also be specified with the ALPM_REPO_DESC_PACKAGER environment variable.

--replaces <REPLACES>
    Virtual components or packages that this package replaces upon installation
    May also be specified with the ALPM_REPO_DESC_REPLACES environment variable.

--conflicts <CONFLICTS>
    Virtual components or packages that this package conflicts with
    May also be specified with the ALPM_REPO_DESC_CONFLICTS environment variable.

--provides <PROVIDES>
    Virtual components or packages that this package provides
    May also be specified with the ALPM_REPO_DESC_PROVIDES environment variable.

--depends <DEPENDS>
    Run-time dependencies required by the package
    May also be specified with the ALPM_REPO_DESC_DEPENDS environment variable.

--optdepends <OPTDEPENDS>
    Optional dependencies that are not strictly required by the package. Note: uses comma as value delimiter. If you need optional dependencies with descriptions that contain commas, use multiple arguments with quoted values.
    May also be specified with the ALPM_REPO_DESC_OPTDEPENDS environment variable.

--makedepends <MAKEDEPENDS>
    Dependencies for building the upstream software of the package
    May also be specified with the ALPM_REPO_DESC_MAKEDEPENDS environment variable.

--checkdepends <CHECKDEPENDS>
    A dependency for running tests of the package's upstream project
    May also be specified with the ALPM_REPO_DESC_CHECKDEPENDS environment variable.

--pgpsig <PGPSIG>
    The base64-encoded OpenPGP detached signature of the package file
    May also be specified with the ALPM_REPO_DESC_PGPSIG environment variable.

-h, --help
    Print help (see a summary with '-h')

[OUTPUT]
    The output file
    May also be specified with the ALPM_REPO_DESC_OUTPUT_FILE environment variable.